Subject: Palm tree info needed

From: [email-masked] (J Fenix)
Date: 20 Jul 1995 00:00:05 GMT

I'm trying to determine what kind of palm I have.  It bears fruit (note 
date) that resemble small persimons or nectarines...reddish, orange about 
the size of a large marble. The fruit smells sweet. I've been told it may 
be a chestnut palm or a pinda (?) palm.  The fruit grows from spindly 
looking limb-like growths that grow from a pod.  The tree trunks are 
about  10-12' high,  about 2-3' thick. The fronds grow up and fan out and 
downward. Is the fruit edible? Can tree seedlings be grown from the fruit?
  Any help will be appreciated.